// //  分布式光伏概览
// import request from "@/utils/request";

// // 监测点数量
// export function monitor() {
//   return request({
//     url: "/system-boot/overview/monitor",
//     method: "get"
//   });
// }
// //告警监测点数
// export function warning() {
//   return request({
//     url: "/system-boot/overview/warning",
//     method: "get"
//   });
// }
// //稳态指标超标占比
// export function proportion() {
//   return request({
//     url: "/system-boot/overview/proportion",
//     method: "get"
//   });
// }
// //地图点位
// export function MapSpot() {
//   return request({
//     url: "/system-boot/overview/MapSpot",
//     method: "get"
//   });
// }
// //工单转换率/处置率
// export function workOrder() {
//   return request({
//     url: "/system-boot/overview/workOrder",
//     method: "get"
//   });
// }
// //电压问题统计
// export function Voltage() {
//   return request({
//     url: "/system-boot/overview/Voltage",
//     method: "get"
//   });
// }
// //低功率因素问题

// export function power() {
//   return request({
//     url: "/system-boot/overview/power",
//     method: "get"
//   });
// }
// //潮流倒送与重过载问题
// export function trend() {
//   return request({
//     url: "/system-boot/overview/trend",
//     method: "get"
//   });
// }
// //地图
// export function map() {
//   return request({
//     url: "/system-boot/map",
//     method: "get"
//   });
// }


//  分布式光伏概览
import request from "@/utils/request";

//监测点统计
// device-boot
export function getMapDisplay(data) {
    return request({
        url: "/device-boot/overview/getMapDisplay",
        method: "POST",
        data,
    });
}
//告警监测点数
// device-boot
export function getAlarmProportion(data) {
    return request({
        url: "/device-boot/pwOverview/getAlarmProportion",
        method: "POST",
        data,
    });
}
//告警监测点数
// harmonic-boot
export function getExceedMonitor(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getExceedMonitor",
        method: "POST",
        data,
    });
}

//稳态指标超标占比
// harmonic-boot
export function getExcessiveProportion(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getExcessiveProportion",
        method: "POST",
        data,
    });
}

//告警评级
// device-boot
export function getAlarmRating(data) {
    return request({
        url: "/device-boot/pwOverview/getAlarmRating",
        method: "POST",
        data,
    });
}
//监测点分布
// device-boot
export function getMonitorDistributed(data) {
    return request({
        url: "/device-boot/overview/getMonitorDistributed",
        method: "POST",
        data,
    });
}

//工单转换率/处置率
export function workOrder() {
    return request({
        url: "/api1/system-boot/overview/workOrder",
        method: "get",
    });
}

//电压问题统计
// harmonic-boot
export function getVoltage(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getVoltage",
        method: "post",
        data,
    });
}
//低功率因素问题

export function getPowerFactor(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getPowerFactor",
        method: "post",
        data,
    });
}
//潮流倒送与重过载问题
export function getBackTheTide(data) {
    return request({
        url: "/harmonic-boot/pwOverview/getBackTheTide",
        method: "post",
        data,
    });
}
//查询工单及工单总数及完成工单数量（当前部门下）
// process-boot
export function queryOrderDetail(data) {
    return request({
        url: "/process-boot/rStatWorkOrder/queryOrderDetail?orgNo=" + data.orgNo,
        method: "post",
    });
}
//查询问题及工单（当前部门下）
// process-boot
export function queryIssuesAndOrder(data) {
    return request({
        url: "/process-boot/rStatWorkOrder/queryIssuesAndOrder?orgNo=" + data.orgNo,
        method: "post",
    });
}